
-- Confrontation
addConstructionCategory = {};
local modDirectory = g_currentModDirectory or ""
local modName = "FS22_Meadow_Springs_V2"
-- Conversation
function addConstructionCategory:addOwnCategory()

    g_storeManager:addConstructionCategory("RGC", "RGC", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("40px 160px 32px 32px",string.getVectorN("256 256", 2)),"")
		g_storeManager:addConstructionTab("RGC", "factories", "Factory", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("40px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "cows", "Animal", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("40px 120px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "sellingPoints", "Sell", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("80px 40px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "silos", "Silos", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("80px 0 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "siloExtensions", "Silo X", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("200px 0px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "containers", "Container", "$dataS/menu/construction/ui_construction_icons.dds", GuiUtils.getUVs("120px 0 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "fences", "Fence", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("80px 120px 32px 32px",string.getVectorN("256 256", 2)), "")
		g_storeManager:addConstructionTab("RGC", "uncategorized", "Other", "$dataS/menu/construction/ui_construction_icons.png", GuiUtils.getUVs("40px 120px 32px 32px",string.getVectorN("256 256", 2)), "")
		
end
--Commitment
function loadMapData(xmlFile, missionInfo, baseDirectory)
    addConstructionCategory:addOwnCategory()
end


--Closure
StoreManager.loadMapData = Utils.appendedFunction(StoreManager.loadMapData, loadMapData)